/*
MACINTOSH:
compile:  javac -classpath .:KarelJRobot.jar kareltherobot/*.java
run:   java -cp .:KarelJRobot.jar kareltherobot.Application

WINDOWS:
compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
run:  java -cp .;KarelJRobot.jar kareltherobot.Application
*/
//***************************************************
/*
  This program is intended to have a robot pick up a beeper at the top of 4
  stairs and return it to the lower corner.
  
  written by Scott McElfresh
*/
package kareltherobot;


public class Application implements Directions
{	
   public static void main(String [] args)
	{	
		World.readWorld("stairs.txt");
		World.setVisible(true);
		World.setTrace(true);
		World.setDelay(100);  // wait for the graphics to catch up	
		
		StairRobot karel = new StairRobot(1, 1, East, 0);
						// Street 1, Avenue 12, facing east, no beepers in its bag
	
		World.setDelay(10);  //  now, go a usual speed
			
	    // first, get Karel to the stairs
		karel.move();
		karel.move();
		karel.move();
		
		karel.climbUpStair();
		karel.climbUpStair();
		karel.climbUpStair();
		karel.climbUpStair();
		karel.pickBeeper();
		
		karel.turnAround();
		
		karel.climbDownStair();
		karel.climbDownStair();
		karel.climbDownStair();
		karel.climbDownStair();
		
		// return to origin
		karel.move();
		karel.move();
		karel.move();
		karel.turnOff();
	}

}